prboom (2:2.5.0+dfsg3-1) UNRELEASED; urgency=low

  [ Jon Dowland ]
  * remove the deprecated Dm-Upload-Allowed field from
    the control file.

  [ Fabian Greffrath ]
  * Add myself to Uploaders.
  * Imported Upstream version 2.5.0+dfsg3
    + Generate a new 'upstream' DFSG tarball that has all
      menu graphics lumps removed from data/prboom.wad.
    + Backport two commits from upstream SVN to teach the main
      and setup menus to cope with the missing graphics lumps.
    + No need to reproduce the bad lumps in debian/fix_upstream.sh,
      they will get substituted by plain text in a small font.
  * Convert to Debian source format 3.0 (quilt).
  * Convert packaging to short-form debhelper style,
    remove some obsolete debhelper helper files,
    fix some lintian warnings, run "wrap-and-sort -asb".

 -- Jon Dowland <jmtd@debian.org>  Mon, 26 Nov 2012 10:09:55 +0000

prboom (2:2.5.0+dfsg2-1) experimental; urgency=low

  * Fix a bashism in fix_upstream.sh and use the
    URW-Bookman-Demi-Bold font for menu graphics in
    preference to Helvetica. Thanks Fabian Greffrath!
  * As a result, generate a new 'upstream' DFSG tarball.
  * Remove build-dependency on libsmpeg-dev which is
    superfluous (handled by libsdl-mixer1.2-dev).
  * Add build-dependency on libpng-dev. It currently links
    against this due to a dependency-of-a-dependency, but
    that might change (and we want this for PNG screenshot
    support). Closes: #579749.

 -- Jon Dowland <jmtd@debian.org>  Tue, 06 Nov 2012 23:09:00 +0000

prboom (2:2.5.0+dfsg1-6) unstable; urgency=low

  * drop windowed_mode patch: I've decided not to deviate
    from upstream on this anymore.
  * install slave alternatives for boom(6) and doom(6)
  * update Vcs: lines in control to point at new git repository
  * remove Moritz Muehlenhoff from uploaders, by request.
    Thanks Moritz for your work!
  * bump standards version to 3.9.1.
  * stop using quilt for patch management (use the VCS)
  * disable the use of i386 assembler, which causes prboom
    to crash for unknown reasons.

 -- Jon Dowland <jmtd@debian.org>  Fri, 03 Sep 2010 15:49:59 +0100

prboom (2:2.5.0+dfsg1-5) unstable; urgency=low

  * bump standards version to 3.8.2.
  * Add alternatives for "boom" to match provides: boom-engine
  * Adjust my address in Uploaders:

 -- Jon Dowland <jmtd@debian.org>  Wed, 01 Jul 2009 23:32:35 +0100

prboom (2:2.5.0+dfsg1-4) unstable; urgency=low

  * bump standards version to 3.8.1.
  * Adjust build-depends: debhelper versioning to match compat level.
    Thanks Christoph Berg. (and lintian.)
  * use dh_prep instead of dh_clean -k (deprecated with dh >= 7)

 -- Jon Dowland <jon@alcopop.org>  Sat, 20 Jun 2009 11:35:19 +0100

prboom (2:2.5.0+dfsg1-3) experimental; urgency=low

  * Add boom-engine virtual package to Provides:

 -- Jon Dowland <jon@alcopop.org>  Sun, 15 Mar 2009 18:58:47 +0000

prboom (2:2.5.0+dfsg1-2) unstable; urgency=low

  * Re-enable music, but Recommends: timidity. Bug
    #472087 can hit where timidity is not available and the
    user has a non-functioning (but present) /dev/sequencer,
    so Recommends: it to limit exposure.

 -- Jon Dowland <jon@alcopop.org>  Sun, 15 Mar 2009 18:55:37 +0000

prboom (2:2.5.0+dfsg1-1) experimental; urgency=low

  * new upstream version
  * ensure build-stamp depends on configure-stamp
  * remove patches fix_manpages, manpage_typo: included upstream

 -- Jon Dowland <jon@alcopop.org>  Mon, 10 Nov 2008 22:38:06 +0000

prboom (2:2.4.7+dfsg-5) unstable; urgency=low

  * move virtual wad dependencies to Recommends:
    See: http://lists.debian.org/debian-devel-games/2008/07/msg00060.html

 -- Jon Dowland <jon@alcopop.org>  Fri, 25 Jul 2008 23:05:58 +0100

prboom (2:2.4.7+dfsg-4) unstable; urgency=low

  * doom-package was renamed; update the control file
  * remove .desktop file: these are provided by the data
    packages (freedoom and those generated by
    game-data-packager)
  * turn music off by default. This mitigates the effect of #472087,
    since we haven't fixed it yet.
  * add explanatory text to the error that is displayed when you
    run the game without an IWAD.
  * bump debhelper compatibility from 5 to 7.
  * bump Standards-Version to 3.8.0
  * remove .PU from the top of each of the manpages.

 -- Jon Dowland <jon@alcopop.org>  Mon, 21 Jul 2008 23:12:41 +0100

prboom (2:2.4.7+dfsg-3) unstable; urgency=low

  [ Jon Dowland ]
  * bump Standards-Version to 3.7.3

  [ Miriam Ruiz ]
  * Replaced XS-DM-Upload-Allowed by DM-Upload-Allowed in debian/control.

  [ Jon Dowland ]
  * remove Icon= stanza from .desktop file (we don't ship an icon).  Note that
    in future we will not ship a .desktop file in prboom (only in the doom
    data packages)
  * Supply an alternative for /usr/games/doom.
  * add LDFLAGS to prevent over-zealous linking
  * Fix typo in prboom-game-server(6), thanks Reuben Thomas. Closes: #458472.

 -- Jon Dowland <jon@alcopop.org>  Mon, 17 Mar 2008 23:15:48 +0000

prboom (2:2.4.7+dfsg-2) unstable; urgency=low

  [ Marco Rodrigues ]
  * move the maintenance description to README.source

  [ Barry deFreese ]
  * Add watch file
  * Remove XS- from VCS fields in control

  [ Jon Dowland ]
  * provide/conflict (versioned): lxdoom
  * new install file for .desktop
  * remove spare "menu" file
  * Add DM-Upload-Allowed: yes to control file (at present, the only
    non-DD maintainer is myself)
  * remove config.log in clean target

 -- Jon Dowland <jon@alcopop.org>  Fri, 07 Dec 2007 18:55:57 +0000

prboom (2:2.4.7+dfsg-1) unstable; urgency=low

  [ Jon Dowland ]
  * New upstream release (Closes: #426804, #447012).
  * add fix_upstream.sh to ./debian in source archive: this
    scripts helps you to convert an upstream tarball into a DFSG
    one.
  * add a description of how the package is maintained to README.Debian
  * default to windowed-mode rather than fullscreen
  * update menu section to "Games/Action" for menu policy transition.
    Thanks Linas Žvirblis.
  * move to quilt for patch management

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

  [ Marco Rodrigues ]
  * Add prboom.desktop and modified debian/menu.
  * Bump debian/compat to version 5.
  * Bump debian/control debhelper to version 5.
  * Bump versions of libsdl packages.

 -- Marco Rodrigues <gothicx@sapo.pt>  Thu, 03 Oct 2007 21:34:15 +0100

prboom (2:2.4.6+dfsg-1) unstable; urgency=high

  * Remove ID-copyright material from prboom.wad
    Closes: #404826

 -- Jon Dowland <jon@alcopop.org>  Mon,  1 Jan 2007 20:06:42 +0000

prboom (2:2.4.6-1) unstable; urgency=low

  * New upstream release
  * update description to reflect doom-package, gl renderer

 -- Jon Dowland <jon@alcopop.org>  Wed, 25 Oct 2006 17:59:52 +0100

prboom (2:2.4.5-1) unstable; urgency=low

  [ Moritz Muehlenhoff ]
  * Change maintainer to Debian Games Group
  * Fix typo reported by A Costa (Closes: #351420)

  [ Jon Dowland ]
  * new upstream version (Closes: #366815)
  * move DH_COMPAT into compat file, bump compat version
  * add myself to uploaders
  * do not delete/rebuild prboom.wad
  * update Standards-Version
  * add a newline in data/Makefile.{am,in} (Thanks Stu Teasdale)

 -- Jon Dowland <jon@alcopop.org>  Tue, 15 Aug 2006 21:42:53 +0100

prboom (2:2.2.6-3) unstable; urgency=low

  * Fix typos reported by A Costa. (Closes: #310022, #310023)
  * Bumped Standards-Version to 3.6.2.1 (no changes required)
  * Updated the FSF's address in debian/copyright

 -- Moritz Muehlenhoff <jmm@inutil.org>  Thu, 15 Sep 2005 14:05:51 +0200

prboom (2:2.2.6-2) unstable; urgency=low

  * Fix SIGILL on K6 based systems (Closes: #286729)
  * Fix compilation with GCC 4.0 pre releases. Thanks to Andreas
    Jochens for the patch. (Closes: #287957)
  * Clarify documentation on svgalib usage
  * Removed superfluous autotools from build dependencies

 -- Moritz Muehlenhoff <jmm@inutil.org>  Sat, 12 Mar 2005 00:15:11 +0100

prboom (2:2.2.6-1) unstable; urgency=low

  * New upstream release (Closes: 275932)
    - Fixes compilation with GCC 3.4 (Closes: #273229)
  * Document how to use the svgalib SDL driver (Closes: #276288, #143967)
  * Remove references to documentation that is only included in the
    Windows versions. (Closes: #276281)
  * Depend on freedoom | doom-wad, instead of just recommending it
  * Include manpage formatting improvements by Philipp Matthias Hahn

 -- Moritz Muehlenhoff <jmm@inutil.org>  Mon, 11 Oct 2004 19:56:42 +0200

prboom (2:2.2.4-1) unstable; urgency=high

  * Urgency set to high as it fixes a release-critical bug
  * Revert to the 2.2 branch. Despite all testing efforts 2.3 turned
    out to be too buggy for release with Sarge:
    - Fix savegames (Closes: #266874)
    - Dynamic loading of the GL modules has been a feature of the
      2.3 branch. To prevent sharp performance drops on systems without
      3D accelleration build without GL support for Sarge, as the GL
      mode is still far from bugfree. Later version will have a
      separate binary package for a GL enabled build.
    - Fix weapon selection (Closes: #270110)
    - Fix the unusable menus on powerpc.
  * Move to main, now that freedoom is available in the archive.
    (Closes: #270040, #269913)

 -- Moritz Muehlenhoff <jmm@inutil.org>  Wed,  8 Sep 2004 22:04:45 +0200

prboom (2.3.0-1) unstable; urgency=low

  * Adopted prboom (Closes: #188807)
  * New upstream release:
    - OpenGL libs are now loaded dynamically (Closes: #177838, #194918)
  * Fixed misformatation in the prboom.6 and prboom-game-server.6
    man pages (Closes: #174541)
  * Upgraded policy compliance to 3.6.1.0
  * Made copyright description more accurate

 -- Moritz Muehlenhoff <jmm@informatik.uni-bremen.de>  Tue, 23 Mar 2004 13:24:36 +0100

prboom (2.2.3-2) unstable; urgency=low

  * watch: added uscan watch file
  * ORPHANED: set maintainer to packages@qa.debian.org

 -- Arthur Korn <arthur@korn.ch>  Fri, 11 Apr 2003 20:12:52 +0200

prboom (2.2.3-1) unstable; urgency=low

  * New upstream release, closes: #165115
  * Fixed Build-Depends syntax, closes: #153633
  * Enabled OpenGL support, added build dep, closes: #81626

 -- Arthur Korn <arthur@korn.ch>  Wed, 30 Oct 2002 12:06:51 +0100

prboom (2.2.2-1) unstable; urgency=low

  * New upstream release
    - endianness fix incorporated upstream, verified, closes: #105307
  * changed build dependencies for SDL stuff and rebuilt, see
    http://lists.debian.org/debian-devel/2001/debian-devel-200110/msg00353.html
    closes: #115857

 -- Arthur Korn <arthur@korn.ch>  Thu, 18 Oct 2001 18:56:42 +0200

prboom (2.2.1-2) unstable; urgency=low

  * Incorporated endianness fix from Colin Phipps, this should fix Bug#105307,
    waiting for confirmation.
    changes: in m_swap.h:
    #define doom_swap_s  (signed short)__arch__swab16
    #define doom_swap_l  (signed long)__arch__swab32

 -- Arthur Korn <arthur@korn.ch>  Sun, 12 Aug 2001 13:54:18 +0200

prboom (2.2.1-1) unstable; urgency=low

  * New upstream release
    - uses prboom.cfg instead of boom.cfg
  * boom.cfg.5 is now installed as prboom.cfg.5 with the symlink glboom.cfg.5
    pointing to it. prboom.6 was modified accordingly. This release obsoletes
    boom.cfg, but since this package has not been released yet I won't provide
    any means of compatibility.

 -- Arthur Korn <arthur@korn.ch>  Tue, 10 Jul 2001 13:19:07 +0200

prboom (2.2.0-3) unstable; urgency=low

  * create a link prboom_glboom.cfg.5.gz -> prboom_boom.cfg.5.gz,
    closes: #99588
  * updated Standards-Version to 3.5.4.0 (no changes necessary).

 -- Arthur Korn <arthur@korn.ch>  Sat,  2 Jun 2001 17:35:12 +0200

prboom (2.2.0-2) unstable; urgency=low

  * libSDL 1.2 now for real (forgot to change the chainglog again after finding
    out about libsdl-{mixer,image}1.2 not yet being uploaded).

 -- Arthur Korn <arthur@korn.ch>  Tue, 15 May 2001 22:50:22 +0200

prboom (2.2.0-1) unstable; urgency=low

  * New upstream release
  * switched to libSDL 1.2

 -- Arthur Korn <arthur@korn.ch>  Wed,  9 May 2001 00:32:55 +0200

prboom (2.1.2-3) unstable; urgency=low

  * Fix for type problem (showed on alpha), closes: Bug#85845

 -- Arthur Korn <arthur@korn.ch>  Tue, 13 Feb 2001 19:32:08 +0100

prboom (2.1.2-2) unstable; urgency=low

  * Added menu hints.

 -- Arthur Korn <arthur@korn.ch>  Sun, 14 Jan 2001 17:14:37 +0100

prboom (2.1.2-1) unstable; urgency=low

  * New upstream release

 -- Arthur Korn <arthur@korn.ch>  Sun, 31 Dec 2000 15:00:49 +0100

prboom (2.1.1-2) unstable; urgency=low

  * Added Provides: doom-engine, closes: Bug#78177.
  * Recompiled, closes: Bug#79603 Bug#78613.

 -- Arthur Korn <arthur@korn.ch>  Wed, 29 Nov 2000 17:15:59 +0100

prboom (2.1.1-1) unstable; urgency=low

  * Initial Release.

 -- Arthur Korn <arthur@korn.ch>  Mon, 13 Nov 2000 19:22:11 +0100
